New embedded checkout request
The first step is to submit the details of the payment you'd like to initiate. We'll validate that all the required data is supplied and that it's a payment that Volt can support.
Step-by-step instructions for creating an embedded checkout are available in our integration guides area.
oauthAuthorizationBearer <token>OAuth2 password grant - see the documentation in the oAuth2 Authentication section
Details of the payment you'd like to initiate. Note that the details you need to provide are slightly different, depending on the country.
application/json- body
Payments - money flowing from a consumer to a merchant.
currencyCode*stringCurrency in which the payment should be made, in ISO 4217 format (3 uppercase letters)
3 <= length <= 3amount*integerThe amount of the transaction in 1/100 units (pence, cents etc)
type*unknownThe transaction type (predefined, please select the most appropriate for your transaction)
"BILL""GOODS""PERSON_TO_PERSON""SERVICES""OTHER"shopper*Information about the shopper
uniqueReference?stringUnique reference for the payment from the merchant, must contain only alphanumeric characters
length <= 18merchantInternalReference?stringA field which identifies the transaction in the merchant's system, which can be used as a longer alternative to the uniqueReference field. This field can contain up to 100 characters, including special ones.
-
If the uniqueReference value is provided, then this field is optional
-
If this field contains a value but uniqueReference is not provided, a uniqueReference will be automatically generated by Volt
length <= 100bank?stringUUID of the bank selected to originate the payment
iri-referencecallback?stringQuery string which will be returned to the merchant
notificationUrl?stringExternal URL where the notification is going to be sent when the payment status changes
paymentSuccessUrl?stringURL where the user is redirected after a successful payment. This will overwrite the application configuration set in Fuzebox. Only provide a value here if you need to overwrite it.
paymentFailureUrl?stringURL where the user is redirected after a failed payment. This will overwrite the application configuration set in Fuzebox. Only provide a value here if you need to overwrite it.
paymentPendingUrl?stringURL where the user is redirected if payment is pending. This will overwrite the application configuration set in Fuzebox. Only provide a value here if you need to overwrite it.
paymentCancelUrl?stringURL where the user is redirected after cancelling a payment. This will overwrite the application configuration set in Fuzebox. Only provide a value here if you need to overwrite it.
checkoutCountries?array<>This field should be used only if you require to limit the countries that are visible to the Shopper for this specific payment. Without providing values in this field all the countries that are setup in your Fuzebox account will be available for Shopper to select from
Created - The payment request was validated and accepted and a payment ID returned
response?unknownapplication/jsoncurl -X POST 'https://api.sandbox.volt.io/dropin' \ -H 'Content-Type: application/json' \ -d '{ "currencyCode": "str", "amount": 0, "type": "BILL", "shopper": { "reference": "string" }}'{ "id": "string", "token": "string"}Payment Match Score GET
This endpoint will allow accurately matches naming nuances between merchant inputs and end-user bank records
New payment request POST
The first step is to submit the details of the payment you'd like to initiate. We'll validate that all the required data is supplied and that it's a payment that Volt can support. Step-by-step instructions for payment initiation are available in our [integration guides](https://docs.volt.io/gateway/hosted/) area.